Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.custom
Class CustomFieldManageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.admin.cfg.custom.CustomFieldManageException

All Implemented Interfaces:
  java.io.Serializable

    public class CustomFieldManageException

extends jet.JSException

The exception when there are errors happening when you create, delete, update custom fields

Since:
  version 9.1
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`CustomFieldManageException(java.lang.Exception e)` Constructs a new `CustomFieldManageException` with specified exception object.
`CustomFieldManageException(int msgKey)` Constructs a new `CustomFieldManageException` with the specified msgKey, the cause is not initialized.
`CustomFieldManageException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new `CustomFieldManageException` with the specified detailed message and cause.
`CustomFieldManageException(java.lang.String msg)` Constructs a new `CustomFieldManageException` with specified message.

Method Summary

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomFieldManageException

    public CustomFieldManageException(java.lang.String msg)

  Constructs a new `CustomFieldManageException` with specified message.

  Parameters:
    `msg` - the detail message.

### CustomFieldManageException

    public CustomFieldManageException(java.lang.Exception e)

  Constructs a new `CustomFieldManageException` with specified exception object.

  Parameters:
    `e` - the detail exception object.

### CustomFieldManageException

    public CustomFieldManageException(int msgKey)

  Constructs a new `CustomFieldManageException` with the specified msgKey, the cause is not initialized.

  Parameters:
    `msgKey` - the message key in JSError, for finding the message, which will be logged and shown to user.

### CustomFieldManageException

    public CustomFieldManageException(int msgKey,
                                      java.lang.Object[] params,
                                      java.lang.Throwable cause)

  Constructs a new `CustomFieldManageException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in JSError, for finding the message, which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD